Package org.codehaus.janino

# Interface IClass.IMember

All Known Implementing Classes:
  `IClass.IConstructor`, `IClass.IField`, `IClass.IInvocable`, `IClass.IMethod`, `UnitCompiler.SimpleIField`

Enclosing class:
  `IClass`

public static interface IClass.IMember
Base for the members of an `IClass`. `IClass.IMember` are expected to be immutable, i.e. all getter methods return constant values.

## Method Summary

Modifier and Type
Method
Description
`Access`
`getAccess()`
`IClass.IAnnotation[]`
`getAnnotations()`
`IClass`
`getDeclaringIClass()`

## Method Details

### getAccess

Access getAccess()

Returns:
  One of `Access.PRIVATE`, `Access.PROTECTED`, `Access.DEFAULT` and `Access.PUBLIC`.

### getAnnotations

IClass.IAnnotation[] getAnnotations()

Returns:
  Modifiers and/or annotations of this member

### getDeclaringIClass

IClass getDeclaringIClass()

Returns:
  The `IClass` that declares this `IClass.IMember`